TechDraw Cote verticale

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Dimension Vertical and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : TechDraw Dimension Horizontal.svg Cote horizontale
Page suivante : Cote de rayon TechDraw Dimension Radius.svg Arrow-right.svg

TechDraw Dimension Vertical.svg TechDraw Cote verticale

Emplacement du menu
TechDraw → Dimensions → Insert Vertical Distance
Ateliers
TechDraw
Raccourci par défaut
Introduit dans la version
-
Voir aussi
TechDraw Longueur, TechDraw Cote horizontale


Description

L'outil Distance verticale ajoute une dimension verticale à une vue. La dimension peut être entre deux sommets, la longueur d'un bord ou la distance verticale entre deux bords. La dimension sera initialement la distance projetée (c.-à-d. comme indiqué sur le dessin), mais elle peut être remplacée par la distance 3D réelle en utilisant l'outil TechDraw Dimension Link.svgLier une Dimension tool.

TechDraw Dimension Vertical example.png

Dimension de longueur prise à partir de deux nœuds arbitraires de la vue; la distance est mesurée verticalement


Utilisation

  1. Sélectionnez les points ou les arêtes qui définissent votre mesure.
  2. Appuyez sur le boutonTechDraw Dimension Vertical.svg Insert Vertical Distance
  3. Une dimension sera ajoutée à la vue. La dimension peut être déplacée à la position désirée.

Limitations

Les objets dimension sont vulnérables aux problèmes de "nommage topologique". Consultez les informations de l'outil TechDraw Dimension Longueur pour plus d'informations.

Propriétés

Cet objet a les mêmes propriétés que l'outil TechDraw Dimension Longueur. Voir cet outil pour plus de détails.

Script

Voir aussi : TechDraw API et FreeCAD Script de Base.

L'outil Dimension Vertical peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Page précédente : TechDraw Dimension Horizontal.svg Cote horizontale
Page suivante : Cote de rayon TechDraw Dimension Radius.svg Arrow-right.svg